from TimeDispatcher.config import Config
from TimeDispatcher.settings import APP_VERSION, DEBUG


def version(request):
    return {
        "debug": DEBUG,
        "version": APP_VERSION
    }

def navbar_links(request):
    return {
        "nav_links": [
            {'view': 'dashboard', 'label': 'Dashboard'},
            {'view': 'table', 'label': 'Table'},
            {'view': 'projects', 'label': 'Projects'},
            {'view': 'parents', 'label': 'Parents'},
            {'view': 'import', 'label': 'Import'},
        ]
    }

def app_config(request):
    return {
        "config": {
            "WORKING_HOURS_PER_OFF_DAY": Config.WORKING_HOURS_PER_OFF_DAY
        }
    }