from django.apps import AppConfig
from django.utils.autoreload import autoreload_started

from TimeDispatcher.settings import BASE_DIR


def watchdog(sender, **kwargs):
    sender.watch_dir(BASE_DIR, ".env")


class DispatcherConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'dispatcher'

    def ready(self):
        autoreload_started.connect(watchdog)
